Summary:	VTE terminal widget library for GTK+ 2
Summary(pl.UTF-8):	Biblioteka z kontrolką terminala VTE for GTK+ 2
Name:		vte0
Version:	0.28.2
Release:	19
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/vte/0.28/vte-%{version}.tar.bz2
# Source0-md5:	f07a4bf943194f94b7f142db8f7f36dc
Patch0:		vte-alt-meta.patch
Patch1:		repaint-bug.patch
Patch2:		vte-0.28.2-control.patch
Patch3:		vte-0.28.2-limit-arguments.patch
Patch4:		vte-0.28.2-paste-fix.diff
Patch5:		vte-python-bugfixes.patch
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.9
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.28.0
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	gtk+2-devel >= 2:2.20.0
BuildRequires:	gtk-doc >= 1.13
BuildRequires:	gtk-doc-automake >= 1.13
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool >= 2:2.2
BuildRequires:	ncurses-devel
BuildRequires:	pango-devel >= 1:1.22.0
BuildRequires:	pkgconfig
BuildRequires:	python-pygtk-devel >= 2:2.12.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.592
Requires(pre):	utempter
Requires:	glib2 >= 1:2.28.0
Requires:	gtk+2 >= 2:2.20.0
Requires:	pango >= 1:1.22.0
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The vte package contains a terminal widget for GTK+ 2.x. It's used by
gnome-terminal among other programs.

%description -l pl.UTF-8
Ten pakiet zawiera kontrolkę terminala dla GTK+ 2.x. Jest używany
przez gnome-terminal oraz inne programy.

%package devel
Summary:	Header files for VTE for GTK+ 2
Summary(pl.UTF-8):	Pliki nagłówkowe VTE dla GTK+ 2
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.28.0
Requires:	gtk+2-devel >= 2:2.20.0
Requires:	ncurses-devel
Requires:	pango-devel >= 1:1.22.0
Conflicts:	gnome-libs-devel < 1.4.1.2

%description devel
This package contains header files for GTK+ 2 based vte library.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do kompilowania programów używających
biblioteki vte opartej na GTK+ 2.

%package static
Summary:	Static VTE library for GTK+ 2
Summary(pl.UTF-8):	Statyczna biblioteka VTE dla GTK+ 2
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Conflicts:	gnome-libs-static < 1.4.1.2

%description static
Static version of VTE library for GTK+ 2.

%description static -l pl.UTF-8
Statyczna wersja biblioteki VTE dla GTK+ 2.

%package apidocs
Summary:	VTE API documentation - GTK+ 2.x version
Summary(pl.UTF-8):	Dokumentacja API VTE - wersja dla GTK+ 2.x
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
VTE API documentation - GTK+ 2.x version.

%description apidocs -l pl.UTF-8
Dokumentacja API VTE - wersja dla GTK+ 2.x.

%package -n python-vte0
Summary:	Python VTE module
Summary(pl.UTF-8):	Moduł VTE dla pythona
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-libs
Requires:	python-pygtk-gtk >= 2:2.12.0
Provides:	python-vte
Obsoletes:	python-vte

%description -n python-vte0
Python VTE library.

%description -n python-vte0 -l pl.UTF-8
Biblioteka VTE dla pythona.

%package -n python-vte0-devel
Summary:	Development files for VTE Python bindings
Summary(pl.UTF-8):	Pliki programistyczne wiązań Pythona do VTE
Group:		Development/Languages/Python
Requires:	%{name}-devel = %{version}-%{release}
Requires:	python-vte0 = %{version}-%{release}
Provides:	python-vte-devel
Obsoletes:	python-vte-devel

%description -n python-vte0-devel
Development files for VTE Python bindings.

%description -n python-vte0-devel -l pl.UTF-8
Pliki programistyczne wiązań Pythona do VTE.

%prep
%setup -q -n vte-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%configure \
	--libexecdir=%{_libdir}/vte-0.0 \
	--with-gtk=2.0 \
	--disable-silent-rules \
	--enable-gtk-doc \
	--enable-introspection \
	--with-default-emulation=xterm \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la \
	$RPM_BUILD_ROOT%{py_sitedir}/gtk-2.0/vtemodule.{la,a}

%find_lang vte-0.0

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f vte-0.0.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%attr(755,root,root) %{_bindir}/vte
%attr(755,root,root) %{_libdir}/libvte.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvte.so.9
%dir %{_libdir}/vte-0.0
%attr(2755,root,utmp) %{_libdir}/vte-0.0/gnome-pty-helper
%{_libdir}/girepository-1.0/Vte-0.0.typelib
%{_datadir}/vte

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libvte.so
%{_includedir}/vte-0.0
%{_pkgconfigdir}/vte.pc
%{_datadir}/gir-1.0/Vte-0.0.gir

%files static
%defattr(644,root,root,755)
%{_libdir}/libvte.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/vte-0.0

%files -n python-vte0
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gtk-2.0/vtemodule.so

%files -n python-vte0-devel
%defattr(644,root,root,755)
%{_datadir}/pygtk/2.0/defs/vte.defs
%{_pkgconfigdir}/pyvte.pc
%changelog
* Tue Apr 21 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vte0.git;a=log;h=master

* Tue Apr 21 2020 Jan Rękorajski <baggins@pld-linux.org> 6350abe
- really rebuild with libffi 3.3
- release 19 (by relup.sh)

* Mon Apr 20 2020 Jan Rękorajski <baggins@pld-linux.org> 7be906a
- rebuild with libffi 3.3
- release 18 (by relup.sh)

* Sun Sep 11 2016 Jan Rękorajski <baggins@pld-linux.org> 0d17364
- add various bugfixes from fedora
- rel 17

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> cdd0256
- release 16 (by relup.sh)

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 1e8dce1
- apply repaint bug patch for mosh

* Thu Jul 02 2015 Elan Ruusamäe <glen@delfi.ee> 274d39a
- noarch apidocs

* Sat Apr 18 2015 Jan Rękorajski <baggins@pld-linux.org> 1f2523c
- release 13 (by relup.sh)

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> e2a0abc
- x32 rebuild
- release 12 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 733be96
- updated gettext BR

* Sun Dec 07 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 67f59a1
- libffi rebuild
- release 11 (by relup.sh)

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> 867b3e2
- release 10 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2513aef
- release 9 (by relup.sh)

* Mon Nov 12 2012 Jan Rękorajski <baggins@pld-linux.org> 2adb301
- rebuild with expat 2.1.0
- release 8 (by relup.sh)

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e2a2689
- release 7

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2f940d3
- release 6

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> bfcb0d1
- release 5

* Mon Dec 05 2011 Jacek Konieczny <jajcus@pld-linux.org> c0fac73
- vte-alt-meta.patch patch (from https://bugzilla.gnome.org/show_bug.cgi?id=663779#c9) added to fix Alt in Terminal
- Release: 4

* Wed Oct 12 2011 Jakub Bogusz <qboosh@pld-linux.org> ba53f3b
- note GTK+ 2 also in main summaries

* Tue Oct 04 2011 Jan Rękorajski <baggins@pld-linux.org> bb2f028
- rel 3
- fix R/P/O

* Tue Oct 04 2011 Jan Rękorajski <baggins@pld-linux.org> d3a7e9a
- rel 2
- resurrected vte0 for gtk+2 (hooray to gnome devs egomania!)

